Publican::CreateBook(3pm)

NAME
Publican::CreateBook - A module for generating documentation boilerplate

SYNOPSIS
    use Publican::CreateBook;

    my $creator = Publican::CreateBook->new({name => 'foo'});
    $creator->create();

DESCRIPTION
    Creates a new Book, Article or Set for use with the publican package

INTERFACE

  new
Create a Publican object set.

Parameters:

   docname           Book Name        (Required)
   version           Product Version  (default: 0.1)
   edition           Edition          (default: 0)
   product           Product Name     (default: Documentation)
   brand             Brand            (default: common)
   xml_lang          Source Language  (default: en-US)
   type              Book|Set|Article (default: Book)

  create
Try embedding templates in perl to avoid licensing rubbish

DIAGNOSTICS

"unknown args %s"
    All subs with named parameters will return this error when unexpected named arguments are provided.

"%s is a required argument"
    Any sub with a mandatory parameter will return this error if the parameter is undef.

"directory %s exists"
    When creating a book a directory is created named publican-<book_name>. If a directory with that name is in the current directory the creation will fail.

CONFIGURATION AND ENVIRONMENT
Publican::CreateBook requires no configuration files or environment variables.

DEPENDENCIES
Carp Config::Simple XML::TreeBuilder File::Path DateTime Term::ANSIColor Publican

INCOMPATIBILITIES
None reported.

BUGS AND LIMITATIONS
No bugs have been reported.

Please report any bugs or feature requests to "publican-list@redhat.com", or through the web interface at <https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Publican&component=publican>.

AUTHOR
Jeff Fearn "<jfearn@redhat.com>"